%global pypi_name weasyprint
%global pypi_oname WeasyPrint

%define version 0.19.2
%define python3 1

Name:           python-weasyprint
Version:        %{version}
Release:        %mkrel 1
Group:          Development/Python
Summary:        WeasyPrint converts web documents to PDF

License:        MIT
URL:            http://pypi.python.org/pypi/%{pypi_name}
Source0:        http://pypi.python.org/packages/source/c/%{pypi_oname}/%{pypi_oname}-%{version}.tar.gz
Patch0:         WeasyPrint-0.19.2-fix-python3-build.patch

BuildArch:      noarch
 
BuildRequires:  pkgconfig(python)
BuildRequires:  python-setuptools

Requires:       %{pypi_name}

%description
WeasyPrint converts web documents to PDF

%package -n %{pypi_name}
Summary:        WeasyPrint converts web documents to PDF
Group:          Development/Python

%description -n %{pypi_name}
WeasyPrint converts web documents to PDF

%if %python3
%package -n python3-%{pypi_name}
Summary:        WeasyPrint converts web documents to PDF
Group:          Development/Python

Requires:       %{pypi_name}

BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-setuptools

%description -n python3-%{pypi_name}
WeasyPrint converts web documents to PDF
%endif

%prep
%setup -q -n %{pypi_oname}-%{version}

%apply_patches

%if %python3
cp -a . %{py3dir}
%endif

%build
%{__python} setup.py build

%if %python3
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif

%install
%if %python3
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
popd
%endif

%{__python} setup.py install -O1 --skip-build --root %{buildroot}

%files
%{python_sitelib}/%{pypi_name}*
%{python_sitelib}/WeasyPrint-%version-py2.7.egg-info

%files -n %{pypi_name}
%_bindir/*

%if %python3
%files -n python3-%{pypi_name}
%{python3_sitelib}/%{pypi_name}*
%{python3_sitelib}/WeasyPrint-%version-py3.3.egg-info
%endif


%changelog
* Thu Oct 31 2013 neoclust <neoclust> 0.19.2-1.mga4
+ Revision: 548104
- imported package python-weasyprint

